<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');

if($user['test'] == '' or $user['np'] !== 'ok'){
    header('Location: main.php');
    exit;
}

if(empty($_POST['submit'])){
echo "<form action='save.php' method='post'>
Логин:<br>
<input type='text' name='login' class='enter'><br>
Пароль:<br>
<input type='password' name='password' class='enter'><br>
Пол:<br>
<select name='pol' class='enter'>
<option value='man'>Мужской</option>
<option value='woman'>Женский</option>
</select><br>
Сторона:<br>
<select name='storona' class='enter'>
<option value='white'>Светлая</option>
<option value='dark'>Тёмная</option>
</select><br>
<input type='submit' name='submit' value='Продолжить' class='button'></form>";


}else{
    
$login = mysql_real_escape_string(htmlspecialchars($_POST['login']));
$password = mysql_real_escape_string(htmlspecialchars($_POST['password']));    

$pol = mysql_real_escape_string(htmlspecialchars($_POST['pol']));
$storona = mysql_real_escape_string(htmlspecialchars($_POST['storona']));


if($login == '' or $password == ''){
    echo "Необходимо заполнить все поля.<br><a href='save.php'>Назад</a>";
    exit;
}
    
$hash = md5(md5($password));


$q = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `login`='$login'"));
if($q >= '1'){
    echo "Персонаж с таким именем уже есть в игре.<br><a href='save.php'>Назад</a>";
    exit;
}

mysql_query("UPDATE `users` SET `login`='$login',`password`='$hash',`pol`='$pol',`storona`='$storona',`np`='' WHERE `id`='$uid'");

header("Location: main.php?");
exit;
    
}


include ('tmp/foot.php');
?>